=== modified file 'NEWS'
--- NEWS	2009-10-22 08:49:42 +0000
+++ NEWS	2009-10-23 16:31:03 +0000
@@ -25,10 +25,6 @@
 * ``bzr+http`` servers no longer give spurious jail break errors when
   serving branches inside a shared repository.  (Andrew Bennetts, #348308)
 
-* ``osutils.terminal_width()`` will now return a very large value
-  to avoid truuncated lines when using pagers (for example).
-  (Joke de Buhr, Vincent Ladeuil, #353370)
-
 * TreeTransform.adjust_path updates the limbo paths of descendants of adjusted
   files.  (Aaron Bentley)
 

=== modified file 'bzrlib/osutils.py'
--- bzrlib/osutils.py	2009-10-22 15:19:59 +0000
+++ bzrlib/osutils.py	2009-10-23 16:31:03 +0000
@@ -1296,15 +1296,6 @@
 
 def terminal_width():
     """Return estimated terminal width."""
-    isatty = getattr(sys.stdout, 'isatty', None)
-    if  isatty is None or not isatty():
-        # If it's not a tty, the width makes no sense. We just use a value bug
-        # enough to avoid truncations. When the output is redirected, the
-        # pagers can then handle that themselves. A cleaner implementation
-        # would be to fix the callers to not try to format at all in these
-        # circumstances.
-        return 65536
-
     if sys.platform == 'win32':
         return win32utils.get_console_size()[0]
     width = 0

